メインコンテンツへスキップ
POST
/
api
/
v0
/
organization
/
users
/
invite
Invite or update a user
curl --request POST \
  --url https://api.factory.ai/api/v0/organization/users/invite \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "role": "user"
}
'
{
  "email": "jsmith@example.com",
  "role": "user",
  "status": "invited",
  "error": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.factory.ai/llms.txt

Use this file to discover all available pages before exploring further.

承認

Authorization
string
header
必須

Factory API key or JWT token for authentication

ボディ

application/json
email
string<email>
必須

Email address to invite

role
enum<string>
デフォルト:user

Role to assign (defaults to user)

利用可能なオプション:
user,
manager,
owner

レスポンス

Response for status 200

email
string<email>
必須

Invited email address

role
enum<string>
必須

Assigned role

利用可能なオプション:
user,
manager,
owner
status
enum<string>
必須

Result of the invite operation

利用可能なオプション:
invited,
already_member,
role_updated,
already_invited,
error
error
string

Error message if status is error